# Barry::DataHandle Class Reference

`#include <router.h>`

Collaboration diagram for Barry::DataHandle:

[legend]

List of all members.

## Detailed Description

std::auto_ptr like class that handles pointers to Data, but instead of freeing them completely, the Data objects are turned to the SocketRoutingQueue from whence they came.

Definition at line 240 of file router.h.

The documentation for this class was generated from the following file:

- router.h